edu.isi.pegasus.planner.refiner.cleanup

## Class CleanupFactory

- java.lang.Object
- - edu.isi.pegasus.planner.refiner.cleanup.CleanupFactory

    public class CleanupFactory
    extends java.lang.Object

A factory class to load the appropriate type of Code Generator. The CodeGenerator implementation is used to write out the concrete plan.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where the all the implementing classes are supposed to reside.

### Constructor Summary

Constructors
Constructor and Description
`CleanupFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CleanupImplementation` `loadCleanupImplementationInstance(PegasusBag bag)` Loads the implementing class corresponding to the mode specified by the user at runtime.
`static CleanupStrategy` `loadCleanupStraegyInstance(PegasusBag bag)` Loads the implementing class corresponding to the mode specified by the user at runtime.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where the all the implementing classes are supposed to reside.

See Also:
  Constant Field Values

### Constructor Detail

#### CleanupFactory

    public CleanupFactory()

### Method Detail

#### loadCleanupStraegyInstance

    public static CleanupStrategy loadCleanupStraegyInstance(PegasusBag bag)
                                                      throws CleanupFactoryException

Loads the implementing class corresponding to the mode specified by the user at runtime.

Parameters:
  `bag` - bag of initialization objects
Returns:
  instance of a Cleanup CleanupStrategy implementation
Throws:
  `FactoryException` - that nests any error that might occur during the instantiation of the implementation.
  `CleanupFactoryException`

#### loadCleanupImplementationInstance

    public static CleanupImplementation loadCleanupImplementationInstance(PegasusBag bag)
                                                                   throws CleanupFactoryException

Loads the implementing class corresponding to the mode specified by the user at runtime.

Parameters:
  `bag` - bag of initialization objects
Returns:
  instance of a CreateDirecctory implementation
Throws:
  `FactoryException` - that nests any error that might occur during the instantiation of the implementation.
  `CleanupFactoryException`